<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="ancillary" pageWidth="555" pageHeight="802" columnWidth="555" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="706798c3-48fb-4123-a682-0e99fe024c71">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<queryString>
		<![CDATA[]]>
	</queryString>
	<field name="baggageWeight" class="java.lang.String">
		<fieldDescription><![CDATA[baggageWeight]]></fieldDescription>
	</field>
	<field name="class" class="java.lang.Class">
		<fieldDescription><![CDATA[class]]></fieldDescription>
	</field>
	<field name="flightNo" class="java.lang.String">
		<fieldDescription><![CDATA[flightNo]]></fieldDescription>
	</field>
	<field name="flightRoute" class="java.lang.String">
		<fieldDescription><![CDATA[flightRoute]]></fieldDescription>
	</field>
	<field name="mealImage" class="java.lang.String">
		<fieldDescription><![CDATA[mealImage]]></fieldDescription>
	</field>
	<field name="mealName" class="java.lang.String">
		<fieldDescription><![CDATA[mealName]]></fieldDescription>
	</field>
	<field name="mealQuantity" class="java.lang.String">
		<fieldDescription><![CDATA[mealQuantity]]></fieldDescription>
	</field>
	<field name="seatNumber" class="java.lang.String">
		<fieldDescription><![CDATA[seatNumber]]></fieldDescription>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<detail>
		<band height="24" splitType="Stretch">
			<textField isBlankWhenNull="true">
				<reportElement x="4" y="3" width="100" height="20" uuid="1b2a57e7-b348-41aa-9746-6885a0070a5a"/>
				<textFieldExpression><![CDATA[($F{flightNo}==null ) ? "N/A" : $F{flightNo}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="103" y="3" width="100" height="20" uuid="1aef91f7-f0ee-4820-8a37-3d0ad91b68b6"/>
				<textFieldExpression><![CDATA[($F{flightRoute} == null) ? "N/A" : $F{flightRoute}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="203" y="3" width="100" height="20" uuid="2a346b4f-cb63-4ed2-ae94-be202d34c0d9"/>
				<textFieldExpression><![CDATA[($F{baggageWeight} == null) ? "N/A" : $F{baggageWeight}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="367" y="3" width="68" height="20" uuid="00b59030-1ec4-402a-8b54-4c490192c316"/>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[($F{mealName} == null ) ? "N/A" : $F{mealName}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="303" y="3" width="64" height="20" uuid="278652c4-f57e-4f61-ac59-9df018bb7b90"/>
				<textFieldExpression><![CDATA[($F{seatNumber} == null) ? "N/A" : $F{seatNumber}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="435" y="3" width="100" height="20" uuid="4dd82322-4cc5-400f-98bc-dc65a96bf12f"/>
				<textElement textAlignment="Center" verticalAlignment="Top"/>
				<textFieldExpression><![CDATA[($F{mealQuantity} == null) ? "N/A" : $F{mealQuantity}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
